From 353de102d6fbab63e7be0b189ecfd3308b6ff7cf Mon Sep 17 00:00:00 2001
From: Paper Mountain Studio <kodycze@gmail.com>
Date: Wed, 17 Jul 2019 21:34:26 +0200
Subject: [PATCH] cbatticon-gtk3: update to 1.6.9, add license, add changelog

---
 srcpkgs/cbatticon-gtk3/template | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/cbatticon-gtk3/template b/srcpkgs/cbatticon-gtk3/template
index 49793fa4694..4b31ae20955 100644
--- a/srcpkgs/cbatticon-gtk3/template
+++ b/srcpkgs/cbatticon-gtk3/template
@@ -1,6 +1,6 @@
 # Template file for 'cbatticon-gtk3'
 pkgname=cbatticon-gtk3
-version=1.6.8
+version=1.6.9
 revision=1
 wrksrc="cbatticon-${version}"
 build_style=gnu-makefile
@@ -10,8 +10,9 @@ short_desc="Lightweight and fast battery icon that sits in your systray - GTK3"
 maintainer="Orphaned <orphan@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://github.com/valr/cbatticon"
+changelog="https://raw.githubusercontent.com/valr/cbatticon/master/Changelog"
 distfiles="https://github.com/valr/cbatticon/archive/${version}.tar.gz"
-checksum=369f3fb20bd97e4aec5acf5915d8a5c9651033fc71b793913fd86f19d5feb4a0
+checksum=ba870df67fda30d23a252b7e8091093417d59e505ba8911dcc09b80c876f4a2c
 provides="cbatticon-${version}_${revision}"
 replaces="cbatticon-gtk2>=0"
 
@@ -29,6 +30,10 @@ do_build() {
 		make ${makejobs} ${make_build_args} ${make_build_target}
 }
 
+post_install() {
+	vlicense COPYING
+}
+
 cbatticon-gtk2_package() {
 	short_desc="${short_desc/GTK3/GTK2}"
 	provides="cbatticon-${version}_${revision}"
